=== debian/changelog ===
ros-iron-nav2-mppi-controller (1.2.2-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Aleksei Budyakov <budyakov.aleksei@gmail.com>  Mon, 11 Sep 2023 03:38:45 -0000
